Subject: RE: m68k assembler (and MRI tools)
From: "Bruce Adams" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 12 Sep 2002 16:57:43 +0100

> -----Original Message-----
> From: Don Starr [mailto:[email-masked]] 
> Sent: Thursday, September 12, 2002 4:14 PM
> To: [email-masked]
> Subject: RE: m68k assembler (and MRI tools)
> 
[snip]
> 
> >Did you build it under cygwin by any chance? Because I'm 
> having great 
> >Difficults getting to this stage (see recent posts to this 
> list).  Any 
> >tips would be much appreciated.
> 
> Yes, Cygwin on Win2k. I see from your 30 August post that 
> you're building for a 68331 - same here. Mine is 
> position-independent code, A5-relative data.
> 
> I built from:
>  gcc-2.95.3
>  newlib-1.10.0
>  binutils-2.11.2
> 
Gcc-3.2
Newlib-1.10.0
Binutils-2.13

> I also applied an m68k patch file that I found at:  
> http://www.uclinux.org/pub/uClinux/m68k-elf-tools/tools-20011219/
> The file is:
> gcc-2.95.3-full.patch
> (I don't remember how I found that patch. I has to do with the
position-independent code and A5-relative >data necessary for my
target.)

My target being the same as yours is it likely to be necessary for me as
well?
That said its probably in the source tree anyway by 3.2

> I followed Bill Gatliff's [non-scripted] steps.

> To test my sanity (at least this small part of it), I tried to rebuild the
whole toolchain. D&%M!! Now it > chokes in configuring newlib!!! This worked
before (for me, it worked on 30 April 2002). Apparently, 
> I didn't document my steps as well as I thought I had. Well, I've been
looking for an excuse to try gcc 
> 3.2 - I guess this will do.

> I saw in one of your posts that you had the same newlib configuration
problem I now see, but were able to > overcome it. Was it with gcc 3.2? How
did you get past it (I never saw how, just that you did)?

My intention was to make that plain here so that future generations would
not have to suffer my fate.
Oh well :-).
I'm trying to keep mine in script form to preserve my memory.  If I ever it
perfected I'll post it here
(crossgcc that is).

The major stumbling block seemed to be putting the PREFIX directory on your
path ahead of the cygwin one,
Otherwise it foolishly uses the wrong binutils and falls over.  

One of the other problems was that the first pass gcc build requires
reautoconfing after patching acgeneral.m4 in the cygwin installation (see an
earlier post by Dan Kegel in the crossgcc list).

Although I got newlib to compile and install I still haven't got the second
stage gcc to build.  It
falls over in libstdc++.  I was wondering if this was why gcc 3.2 has not
been adopted for cygwin yet
but 2.95.3-5 fails for me as well.

Regards,
	  Bruce A.

============================================================================
 Any opinions expressed in this e-mail are those of the individual and not
 necessarily those of Tyco Electronic Product Group.

 Any prices for the supply of goods or services are only valid if supported
 by a formal written quotation.

 This e-mail and any files transmitted with it, including replies and
 forwarded copies (which may contain alterations) subsequently transmitted
 from Tyco Electronic Product Group are confidential and solely for the use
 of the intended recipient.

 If you are not the intended recipient or the person responsible for
 delivery to the intended recipient, be advised that you have received this
 e-mail in error and that any use is strictly prohibited.  In this event,
 please notify us via e-mail at [email-masked]' or telephone on 
 0121 255 6499 and then delete the e-mail and any copies of it.
============================================================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/